#include <fstream>
using namespace std;
int main()
{
    ifstream f1("demduong.inp");
    ofstream f2("demduong.out");
    int a[10000];
    int i;
    f1 >> i;
    for (int n = 0; n < i; n++)
    {
        f1 >> a[n];
    }
    f1.close();
    int tong = 0, sl = 0;
    for (int m = 0; m < i; m++)
    {
        if (a[m] > 0)
        {
            tong = tong + a[m];
            sl = sl + 1;
        }
    }
    f2 << sl << " " << tong;
    f2.close();
    return 0;
}
